Subject: Re: [Bisected] PowerMac G5 fails booting kernel 6.6-rc3 (BUG: Unable to handle kernel data access at 0xfeffbb62ffec65fe)

From: Erhard Furtner <[email-masked]>
Date: Wed, 18 Oct 2023 01:01:08 +0200

On Tue, 17 Oct 2023 14:40:49 +1100
Michael Ellerman <[email-masked]> wrote:

> I think I've reproduced the crash on my Quad G5 by using your config
> with some things tweaked, but I don't get any output on the screen :/

You could try PPC_EARLY_DEBUG=y with PPC_EARLY_DEBUG_BOOTX or PPC_EARLY_DEBUG_G5. It helped me on the G4 to get some output for the KASAN bug Christophe had a look at.
 
> Do you mind booting the commit above and taking a photo of the oops and
> attach it here. The oops you transcribed didn't entirely make sense,
> probably due to a typo here or there, so a photo would be best.
> 
> cheers

No problem. Just thought transcribing the photo would make more sense for a mailing list. ;) But maybe some subtle errors slept crept in. Attached are 2 photos from the issue on current v6.6-rc6.

Regards,
Erhard